/**
 * @param f callback
 * @param wait milliseconds
 * @param abortValue if has abortValue, promise will reject it if
 * @returns debounced: Promise, force: () => void
 */
export declare function debouncePromise<T extends (...args: any[]) => any>(fn: T, wait: number, abortValue?: any): {
    debounced: (...args: Parameters<T>) => Promise<Awaited<ReturnType<T>>>;
    force: () => void;
};
